/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuScript.atuScriptGroup;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：脚本分组表
*
* createdate:  2022-10-18 17:29:49  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "脚本目录移动实体")
public class AtuScriptGroupMoveDto implements Serializable
{
    /**
     * 目录ID<br>
     */
    @ApiModelProperty("目录ID")
    @Size(max = 32, message="目录ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 目标位置父节点id<br>
     */
    @ApiModelProperty("目标位置父节点id")
    @Size(max = 32, message="目标位置父节点id-targetId: 数据长度不能 > 32" )
    private String targetId;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;
    /**
     * 目标位置前一位的顺序号
     */
    @ApiModelProperty("目标位置前一位的顺序号")
    private Integer orderSeq;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public Integer getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(Integer orderSeq) {
        this.orderSeq = orderSeq;
    }
}